Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.management.p13n.event
Class EventServiceManagementResourceType

    java.lang.Object
      com.bea.portal.tools.resource.ResourceType
          com.bea.portal.tools.management.p13n.event.EventServiceManagementResourceType

All Implemented Interfaces
  Serializable

    public final class EventServiceManagementResourceType

extends ResourceType

`ResourceType` for a campaign.

See Also
  Serialized Form

Method Summary
`static EventServiceManagementResourceType` | `getEventServiceManagementResourceType()` Get the `EventServiceManagementResourceType`.
`String` | `getTreeMode()` Overridding ResourceType.getTreeMode() since the tree mode is different than the prefix of the namespace URI

Methods inherited from class com.bea.portal.tools.resource.ResourceType
`equals, equals, getNamespaceURI, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getEventServiceManagementResourceType

    public static EventServiceManagementResourceType getEventServiceManagementResourceType()

  Get the `EventServiceManagementResourceType`.

  Returns
    the `EventServiceManagementResourceType`

### getTreeMode

    public String getTreeMode()

  Overridding ResourceType.getTreeMode() since the tree mode is different than the prefix of the namespace URI

  Overrides:
    `getTreeMode` in class `ResourceType`
  Returns
    the `String` representation of the tree mode

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.